无法安装npm软件包…说无法识别节点

每当我尝试安装NPM软件包时,都会出现此错误:

无法将“节点”识别为内部或外部命令,可操作程序或批处理文件。

我检查了环境变量(系统和用户)。节点的路径已设置。

日志文件显示:

457 verbose argv "C:\\Program Files\\nodejs\\node.exe" "C:\\Users\\ROBIN SYLVESTER\\AppData\\Roaming\\npm\\node_modules\\npm\\bin\\npm-cli.js" "install" "ejs"

458 verbose node v10.16.0

459 verbose npm  v6.14.4

460 error code ELIFECYCLE

461 error errno 1

462 error ejs@3.1.3 postinstall: `node --harmony ./postinstall.js`

462 error Exit status 1

463 error Failed at the ejs@3.1.3 postinstall script.

463 error This is probably not a problem with npm. There is likely additional logging output above.

464 verbose exit [ 1, true ]

图片:

enter image description here

评论
神经
神经

可能是因为您尚未将节点目录保存在cmd中...您需要转到窗口设置才能执行此操作...

点赞
评论